=head1 NAME

Pango::Gravity - wrapper for PangoGravity

=cut

=head1 HIERARCHY

  Glib::Enum
  +----Pango::Gravity



=cut


=head1 METHODS

=head2 gravity = Pango::Gravity::get_for_matrix ($matrix)

=over

=item * $matrix (Pango::Matrix) 

=back



=head2 gravity = Pango::Gravity::get_for_script ($script, $base_gravity, $hint)

=over

=item * $script (Pango::Script) 

=item * $base_gravity (Pango::Gravity) 

=item * $hint (Pango::GravityHint) 

=back



=head2 boolean = Pango::Gravity::is_vertical ($gravity)

=over

=item * $gravity (Pango::Gravity) 

=back



=head2 double = Pango::Gravity::to_rotation ($gravity)

=over

=item * $gravity (Pango::Gravity) 

=back





=cut


=head1 ENUMS AND FLAGS

=head2 enum Pango::Gravity

=over

=item * 'south' / 'PANGO_GRAVITY_SOUTH'

=item * 'east' / 'PANGO_GRAVITY_EAST'

=item * 'north' / 'PANGO_GRAVITY_NORTH'

=item * 'west' / 'PANGO_GRAVITY_WEST'

=item * 'auto' / 'PANGO_GRAVITY_AUTO'

=back


=head2 enum Pango::GravityHint

=over

=item * 'natural' / 'PANGO_GRAVITY_HINT_NATURAL'

=item * 'strong' / 'PANGO_GRAVITY_HINT_STRONG'

=item * 'line' / 'PANGO_GRAVITY_HINT_LINE'

=back


=head2 enum Pango::Script

=over

=item * 'invalid-code' / 'PANGO_SCRIPT_INVALID_CODE'

=item * 'common' / 'PANGO_SCRIPT_COMMON'

=item * 'inherited' / 'PANGO_SCRIPT_INHERITED'

=item * 'arabic' / 'PANGO_SCRIPT_ARABIC'

=item * 'armenian' / 'PANGO_SCRIPT_ARMENIAN'

=item * 'bengali' / 'PANGO_SCRIPT_BENGALI'

=item * 'bopomofo' / 'PANGO_SCRIPT_BOPOMOFO'

=item * 'cherokee' / 'PANGO_SCRIPT_CHEROKEE'

=item * 'coptic' / 'PANGO_SCRIPT_COPTIC'

=item * 'cyrillic' / 'PANGO_SCRIPT_CYRILLIC'

=item * 'deseret' / 'PANGO_SCRIPT_DESERET'

=item * 'devanagari' / 'PANGO_SCRIPT_DEVANAGARI'

=item * 'ethiopic' / 'PANGO_SCRIPT_ETHIOPIC'

=item * 'georgian' / 'PANGO_SCRIPT_GEORGIAN'

=item * 'gothic' / 'PANGO_SCRIPT_GOTHIC'

=item * 'greek' / 'PANGO_SCRIPT_GREEK'

=item * 'gujarati' / 'PANGO_SCRIPT_GUJARATI'

=item * 'gurmukhi' / 'PANGO_SCRIPT_GURMUKHI'

=item * 'han' / 'PANGO_SCRIPT_HAN'

=item * 'hangul' / 'PANGO_SCRIPT_HANGUL'

=item * 'hebrew' / 'PANGO_SCRIPT_HEBREW'

=item * 'hiragana' / 'PANGO_SCRIPT_HIRAGANA'

=item * 'kannada' / 'PANGO_SCRIPT_KANNADA'

=item * 'katakana' / 'PANGO_SCRIPT_KATAKANA'

=item * 'khmer' / 'PANGO_SCRIPT_KHMER'

=item * 'lao' / 'PANGO_SCRIPT_LAO'

=item * 'latin' / 'PANGO_SCRIPT_LATIN'

=item * 'malayalam' / 'PANGO_SCRIPT_MALAYALAM'

=item * 'mongolian' / 'PANGO_SCRIPT_MONGOLIAN'

=item * 'myanmar' / 'PANGO_SCRIPT_MYANMAR'

=item * 'ogham' / 'PANGO_SCRIPT_OGHAM'

=item * 'old-italic' / 'PANGO_SCRIPT_OLD_ITALIC'

=item * 'oriya' / 'PANGO_SCRIPT_ORIYA'

=item * 'runic' / 'PANGO_SCRIPT_RUNIC'

=item * 'sinhala' / 'PANGO_SCRIPT_SINHALA'

=item * 'syriac' / 'PANGO_SCRIPT_SYRIAC'

=item * 'tamil' / 'PANGO_SCRIPT_TAMIL'

=item * 'telugu' / 'PANGO_SCRIPT_TELUGU'

=item * 'thaana' / 'PANGO_SCRIPT_THAANA'

=item * 'thai' / 'PANGO_SCRIPT_THAI'

=item * 'tibetan' / 'PANGO_SCRIPT_TIBETAN'

=item * 'canadian-aboriginal' / 'PANGO_SCRIPT_CANADIAN_ABORIGINAL'

=item * 'yi' / 'PANGO_SCRIPT_YI'

=item * 'tagalog' / 'PANGO_SCRIPT_TAGALOG'

=item * 'hanunoo' / 'PANGO_SCRIPT_HANUNOO'

=item * 'buhid' / 'PANGO_SCRIPT_BUHID'

=item * 'tagbanwa' / 'PANGO_SCRIPT_TAGBANWA'

=item * 'braille' / 'PANGO_SCRIPT_BRAILLE'

=item * 'cypriot' / 'PANGO_SCRIPT_CYPRIOT'

=item * 'limbu' / 'PANGO_SCRIPT_LIMBU'

=item * 'osmanya' / 'PANGO_SCRIPT_OSMANYA'

=item * 'shavian' / 'PANGO_SCRIPT_SHAVIAN'

=item * 'linear-b' / 'PANGO_SCRIPT_LINEAR_B'

=item * 'tai-le' / 'PANGO_SCRIPT_TAI_LE'

=item * 'ugaritic' / 'PANGO_SCRIPT_UGARITIC'

=item * 'new-tai-lue' / 'PANGO_SCRIPT_NEW_TAI_LUE'

=item * 'buginese' / 'PANGO_SCRIPT_BUGINESE'

=item * 'glagolitic' / 'PANGO_SCRIPT_GLAGOLITIC'

=item * 'tifinagh' / 'PANGO_SCRIPT_TIFINAGH'

=item * 'syloti-nagri' / 'PANGO_SCRIPT_SYLOTI_NAGRI'

=item * 'old-persian' / 'PANGO_SCRIPT_OLD_PERSIAN'

=item * 'kharoshthi' / 'PANGO_SCRIPT_KHAROSHTHI'

=item * 'unknown' / 'PANGO_SCRIPT_UNKNOWN'

=item * 'balinese' / 'PANGO_SCRIPT_BALINESE'

=item * 'cuneiform' / 'PANGO_SCRIPT_CUNEIFORM'

=item * 'phoenician' / 'PANGO_SCRIPT_PHOENICIAN'

=item * 'phags-pa' / 'PANGO_SCRIPT_PHAGS_PA'

=item * 'nko' / 'PANGO_SCRIPT_NKO'

=item * 'kayah-li' / 'PANGO_SCRIPT_KAYAH_LI'

=item * 'lepcha' / 'PANGO_SCRIPT_LEPCHA'

=item * 'rejang' / 'PANGO_SCRIPT_REJANG'

=item * 'sundanese' / 'PANGO_SCRIPT_SUNDANESE'

=item * 'saurashtra' / 'PANGO_SCRIPT_SAURASHTRA'

=item * 'cham' / 'PANGO_SCRIPT_CHAM'

=item * 'ol-chiki' / 'PANGO_SCRIPT_OL_CHIKI'

=item * 'vai' / 'PANGO_SCRIPT_VAI'

=item * 'carian' / 'PANGO_SCRIPT_CARIAN'

=item * 'lycian' / 'PANGO_SCRIPT_LYCIAN'

=item * 'lydian' / 'PANGO_SCRIPT_LYDIAN'

=item * 'batak' / 'PANGO_SCRIPT_BATAK'

=item * 'brahmi' / 'PANGO_SCRIPT_BRAHMI'

=item * 'mandaic' / 'PANGO_SCRIPT_MANDAIC'

=item * 'chakma' / 'PANGO_SCRIPT_CHAKMA'

=item * 'meroitic-cursive' / 'PANGO_SCRIPT_MEROITIC_CURSIVE'

=item * 'meroitic-hieroglyphs' / 'PANGO_SCRIPT_MEROITIC_HIEROGLYPHS'

=item * 'miao' / 'PANGO_SCRIPT_MIAO'

=item * 'sharada' / 'PANGO_SCRIPT_SHARADA'

=item * 'sora-sompeng' / 'PANGO_SCRIPT_SORA_SOMPENG'

=item * 'takri' / 'PANGO_SCRIPT_TAKRI'

=item * 'bassa-vah' / 'PANGO_SCRIPT_BASSA_VAH'

=item * 'caucasian-albanian' / 'PANGO_SCRIPT_CAUCASIAN_ALBANIAN'

=item * 'duployan' / 'PANGO_SCRIPT_DUPLOYAN'

=item * 'elbasan' / 'PANGO_SCRIPT_ELBASAN'

=item * 'grantha' / 'PANGO_SCRIPT_GRANTHA'

=item * 'khojki' / 'PANGO_SCRIPT_KHOJKI'

=item * 'khudawadi' / 'PANGO_SCRIPT_KHUDAWADI'

=item * 'linear-a' / 'PANGO_SCRIPT_LINEAR_A'

=item * 'mahajani' / 'PANGO_SCRIPT_MAHAJANI'

=item * 'manichaean' / 'PANGO_SCRIPT_MANICHAEAN'

=item * 'mende-kikakui' / 'PANGO_SCRIPT_MENDE_KIKAKUI'

=item * 'modi' / 'PANGO_SCRIPT_MODI'

=item * 'mro' / 'PANGO_SCRIPT_MRO'

=item * 'nabataean' / 'PANGO_SCRIPT_NABATAEAN'

=item * 'old-north-arabian' / 'PANGO_SCRIPT_OLD_NORTH_ARABIAN'

=item * 'old-permic' / 'PANGO_SCRIPT_OLD_PERMIC'

=item * 'pahawh-hmong' / 'PANGO_SCRIPT_PAHAWH_HMONG'

=item * 'palmyrene' / 'PANGO_SCRIPT_PALMYRENE'

=item * 'pau-cin-hau' / 'PANGO_SCRIPT_PAU_CIN_HAU'

=item * 'psalter-pahlavi' / 'PANGO_SCRIPT_PSALTER_PAHLAVI'

=item * 'siddham' / 'PANGO_SCRIPT_SIDDHAM'

=item * 'tirhuta' / 'PANGO_SCRIPT_TIRHUTA'

=item * 'warang-citi' / 'PANGO_SCRIPT_WARANG_CITI'

=item * 'ahom' / 'PANGO_SCRIPT_AHOM'

=item * 'anatolian-hieroglyphs' / 'PANGO_SCRIPT_ANATOLIAN_HIEROGLYPHS'

=item * 'hatran' / 'PANGO_SCRIPT_HATRAN'

=item * 'multani' / 'PANGO_SCRIPT_MULTANI'

=item * 'old-hungarian' / 'PANGO_SCRIPT_OLD_HUNGARIAN'

=item * 'signwriting' / 'PANGO_SCRIPT_SIGNWRITING'

=back




=cut


=head1 SEE ALSO

L<Pango>, L<Glib::Enum>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Pango> for a full notice.



=cut

